grk::TileInfo Struct Reference

`#include <LengthCache.h>`

## Public Member Functions

| TileInfo (void)
| ~TileInfo (void)
bool | checkResize (void)
bool | hasTilePartInfo (void)
bool | update (uint16_t tileIndex, uint8_t currentTilePart, uint8_t numTileParts)
TilePartInfo * | getTilePartInfo (uint8_t tilePart)
void | dump (FILE *outputFileStream, uint16_t tileNum)

## Public Attributes

uint16_t | tileno
uint8_t | numTileParts
uint8_t | allocatedTileParts
uint8_t | currentTilePart

## Private Attributes

TilePartInfo * | tilePartInfo
MarkerInfo * | markerInfo
uint32_t | numMarkers
uint32_t | allocatedMarkers

## Constructor & Destructor Documentation

## TileInfo()

grk::TileInfo::TileInfo | ( | void |  | ) |

References allocatedMarkers, grk::grk_calloc(), markerInfo, and numMarkers.

## ~TileInfo()

grk::TileInfo::~TileInfo | ( | void |  | ) |

References grk::grk_free(), markerInfo, and tilePartInfo.

## Member Function Documentation

## checkResize()

bool grk::TileInfo::checkResize | ( | void |  | ) |

References allocatedMarkers, grk::GRK_ERROR(), grk::grk_free(), grk::grk_realloc(), markerInfo, and numMarkers.

## dump()

void grk::TileInfo::dump | ( | FILE * | outputFileStream,
|  | uint16_t | tileNum
| ) |  |

References dump(), grk::TilePartInfo::dump(), getTilePartInfo(), hasTilePartInfo(), markerInfo, numMarkers, and numTileParts.

Referenced by grk::CodeStreamInfo::dump(), and dump().

## getTilePartInfo()

TilePartInfo * grk::TileInfo::getTilePartInfo | ( | uint8_t | tilePart | ) |

References tilePartInfo.

Referenced by dump().

## hasTilePartInfo()

bool grk::TileInfo::hasTilePartInfo | ( | void |  | ) |

References tilePartInfo.

Referenced by dump().

## update()

bool grk::TileInfo::update | ( | uint16_t | tileIndex,
|  | uint8_t | currentTilePart,
|  | uint8_t | numTileParts
| ) |  |

References allocatedTileParts, currentTilePart, numTileParts, tileno, and tilePartInfo.

Referenced by grk::CodeStreamInfo::updateTileInfo().

## Member Data Documentation

## allocatedMarkers

uint32_t grk::TileInfo::allocatedMarkers

private

Referenced by checkResize(), and TileInfo().

## allocatedTileParts

uint8_t grk::TileInfo::allocatedTileParts

Referenced by update().

## currentTilePart

uint8_t grk::TileInfo::currentTilePart

Referenced by update().

## markerInfo

MarkerInfo* grk::TileInfo::markerInfo

private

Referenced by checkResize(), dump(), TileInfo(), and ~TileInfo().

## numMarkers

uint32_t grk::TileInfo::numMarkers

private

Referenced by checkResize(), dump(), and TileInfo().

## numTileParts

uint8_t grk::TileInfo::numTileParts

Referenced by grk::CodeStreamInfo::dump(), dump(), and update().

## tileno

uint16_t grk::TileInfo::tileno

Referenced by update().

## tilePartInfo

TilePartInfo* grk::TileInfo::tilePartInfo

private

Referenced by getTilePartInfo(), hasTilePartInfo(), update(), and ~TileInfo().

The documentation for this struct was generated from the following files:

- LengthCache.h
- LengthCache.cpp